#
# spec file for package yum-utils
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yum-utils
BuildRequires:  python-devel
Version:        1.1.13
Release:        lp151.49.1
License:        GPL-2.0+
Group:          System/Packages
Summary:        Utilities based around the yum package manager
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-1.1.6.patch
Patch1:         yum-utils-1.1.6-changelog.patch
Patch2:         yum-utils-1.1.10.patch
Url:            http://linux.duke.edu/yum/download/yum-utils/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       yum >= 3.1.1
%if 0%{?suse_version} > 1030
%py_requires
%endif

%description
yum-utils is a collection of utilities and examples for the yum package
manager. It includes utilities by different authors that make yum
easier and more powerful to use.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-changelog
License:        GPL-2.0+
Summary:        Yum plugin for viewing package changelogs before/after updating
Group:          System/Packages
Requires:       yum >= 3.0
Requires:       python-dateutil

%description -n yum-changelog
This plugin adds a command line option to allow viewing package
changelog deltas before or after updating packages.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-fastestmirror
License:        GPL-2.0+
Summary:        Yum plugin which chooses fastest repository from a mirrorlist
Group:          System/Packages
Requires:       yum >= 3.0

%description -n yum-fastestmirror
This plugin sorts each repository's mirrorlist by connection speed
prior to downloading packages.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-protectbase
License:        GPL-2.0+
Summary:        Yum plugin to protect packages from certain repositories
Group:          System/Packages
Requires:       yum >= 3.0

%description -n yum-protectbase
This plugin allows certain repositories to be protected. Packages in
the protected repositories can't be overridden by packages in
non-protected repositories even if the non-protected repo has a later
version.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-versionlock
License:        GPL-2.0+
Summary:        Yum plugin to lock specified packages from being updated
Group:          System/Packages
Requires:       yum >= 3.0

%description -n yum-versionlock
This plugin allows certain packages specified in a file to be protected
from being updated by newer versions.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-tsflags
License:        GPL-2.0+
Summary:        Yum plugin to add tsflags by a commandline option
Group:          System/Packages
Requires:       yum >= 3.0

%description -n yum-tsflags
This plugin allows you to specify optional transaction flags on the yum
command line



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-downloadonly
License:        GPL-2.0+
Summary:        Yum plugin to add downloadonly command option
Group:          System/Packages
Requires:       yum >= 3.0

%description -n yum-downloadonly
This plugin adds a --downloadonly flag to yum so that yum will only
download the packages and not install/update them.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-allowdowngrade
License:        GPL-2.0+
Summary:        Yum plugin to enable manual downgrading of packages
Group:          System/Packages
Requires:       yum >= 3.0

%description -n yum-allowdowngrade
This plugin adds a --allow-downgrade flag to yum to make it possible to
manually downgrade packages to specific versions.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-priorities
License:        GPL-2.0+
Summary:        Plugin to give priorities to packages from different repos
Group:          System/Packages
Requires:       yum >= 3.0

%description -n yum-priorities
This plugin allows repositories to have different priorities. Packages
in a repository with a lower priority can't be overridden by packages
from a repository with a higher priority even if repo has a later
version.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-merge-conf
License:        GPL-2.0+
Summary:        Yum plugin to merge configuration changes when installing packages
Group:          System/Packages
Requires:       yum >= 3.0

%description -n yum-merge-conf
This yum plugin adds the "--merge-conf" command line option. With this
option, Yum will ask you what to do with config files which have
changed on updating a package.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-protect-packages
License:        GPL-2.0+
Summary:        Yum plugin to prevents Yum from removing itself and other protected packages
Group:          System/Packages
Requires:       yum >= 3.0

%description -n yum-protect-packages
This plugin prevents Yum from removing itself and other protected
packages. By default, yum is the only package protected, but by
extension this automatically protects everything on which yum depends
(rpm, python, glibc, and so on).Therefore, the plugin functions well
even without compiling careful lists of all important packages.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-basearchonly
License:        GPL-2.0+
Summary:        Yum plugin to let Yum install only basearch packages
Group:          System/Packages
Requires:       yum >= 3.0

%description -n yum-basearchonly
This plugin makes Yum only install basearch packages on multiarch
systems. If you type 'yum install foo' on a x68_64 system, only
'foo-x.y.x86_46.rpm' is If you want to install the foo-x.y.i386.rpm,
you have to type 'yum install foo. The plugin only works with 'yum
install'.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-aliases
License:        GPL-2.0+
Summary:        Yum plugin to enable aliases filters
Group:          System/Packages
Requires:       yum >= 3.0.5

%description -n yum-aliases
This plugin adds the command alias, and parses the aliases config. file
to enable aliases.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-list-data
License:        GPL-2.0+
Summary:        Yum plugin to list aggregate package data
Group:          System/Packages
Requires:       yum >= 3.0.5

%description -n yum-list-data
This plugin adds the commands list- vendors, groups, packagers,
licenses, arches, committers, buildhosts, baseurls, package-sizes,
archive-sizes and installed-sizes.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-filter-data
License:        GPL-2.0+
Summary:        Yum plugin to list filter based on package data
Group:          System/Packages
Requires:       yum >= 3.0.5

%description -n yum-filter-data
This plugin adds the options --filter- vendors, groups, packagers,
licenses, arches, committers, buildhosts, baseurls, package-sizes,
archive-sizes and installed-sizes. Note that each package must match at
least one pattern/range in each category, if any were specified.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-refresh-updatesd
License:        GPL-2.0+
Summary:        Tell yum-updatesd to check for updates when yum exits
Group:          System/Packages
Requires:       yum >= 3.0
Requires:       yum-updatesd

%description -n yum-refresh-updatesd
yum-refresh-updatesd tells yum-updatesd to check for updates when yum
exits. This way, if you run 'yum update' and install all available
updates, puplet will almost instantly update itself to reflect this.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-tmprepo
License:        GPL-2.0+
Summary:        Yum plugin to add temporary repositories
Group:          System/Packages
Requires:       yum >= 3.2.11

%description -n yum-tmprepo
This plugin adds the option --tmprepo which takes a url to a .repo file
downloads it and enables it for a single run. This plugin tries to
ensure that temporary repositories are safe to use, by default, by not
allowing gpg checking to be disabled.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-upgrade-helper
License:        GPL-2.0+
Summary:        Yum plugin to help upgrades to the next distribution version
Group:          System/Packages
Requires:       yum >= 3.0

%description -n yum-upgrade-helper
this plugin allows yum to erase specific packages on install/update
based on an additional metadata file in repositories. It is used to
simplify distribution upgrade hangups.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%package -n yum-verify
License:        GPL-2.0+
Summary:        Yum plugin to add verify command, and options
Group:          System/Packages
Requires:       yum >= 3.2.12

%description -n yum-verify
This plugin adds the commands verify, verify-all and verify-rpm. There
are also a couple of options. This command works like rpm -V, to verify
your installation.



Authors:
--------
    Gijs Hollestelle <gijs@gewis.nl>
    Seth Vidal <skvidal@phy.duke.edu>
    Panu Matilainen <pmatilai@laiskiainen.org>
    Sean Dilda <sean@duke.edu>

%prep
%setup -q
%patch
%patch1
%patch2

%build

%install
make DESTDIR=$RPM_BUILD_ROOT install
plugins="changelog fastestmirror protectbase versionlock tsflags downloadonly allowdowngrade priorities merge-conf protect-packages basearchonly aliases list-data filter-data refresh-updatesd tmprepo upgrade-helper verify"
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/ $RPM_BUILD_ROOT/usr/lib/yum-plugins/
cd plugins
for plug in $plugins; do
    install -m 644 $plug/*.conf $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/
    install -m 644 $plug/*.py $RPM_BUILD_ROOT/usr/lib/yum-plugins/
done
install -m 644 aliases/aliases $RPM_BUILD_ROOT/%{_sysconfdir}/yum/aliases.conf
install -m 644 versionlock/versionlock.list $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/
# not packaged plugin
rm $RPM_BUILD_ROOT/%{_mandir}/man8/yum-security.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README 
%dir %{_sysconfdir}/yum
%dir %{_sysconfdir}/yum/pluginconf.d
%dir /usr/lib/yum-plugins
%{_bindir}/debuginfo-install
%{_bindir}/package-cleanup
%{_bindir}/repoclosure
%{_bindir}/repodiff
%{_bindir}/repomanage
%{_bindir}/repoquery
%{_bindir}/repotrack
%{_bindir}/reposync
%{_bindir}/repo-graph
%{_bindir}/repo-rss
%{_bindir}/yumdownloader
%{_bindir}/yum-builddep
%{_sbindir}/yum-complete-transaction
%{_mandir}/man1/yum-utils.1.*
%{_mandir}/man1/package-cleanup.1.*
%{_mandir}/man1/repo-rss.1.*
%{_mandir}/man1/repoquery.1.*
%{_mandir}/man1/reposync.1.*
%{_mandir}/man1/yum-builddep.1.*
%{_mandir}/man8/yum-complete-transaction.8.*
%{_mandir}/man1/yumdownloader.1.*

%files -n yum-changelog
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/changelog.conf
/usr/lib/yum-plugins/changelog.*
%{_mandir}/man1/yum-changelog.1.*
%{_mandir}/man5/yum-changelog.conf.5.*

%files -n yum-fastestmirror
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/fastestmirror.conf
/usr/lib/yum-plugins/fastestmirror.*

%files -n yum-protectbase
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/protectbase.conf
/usr/lib/yum-plugins/protectbase.*

%files -n yum-versionlock
%defattr(-, root, root)
%doc plugins/versionlock/README
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/versionlock.conf
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/versionlock.list
/usr/lib/yum-plugins/versionlock.*

%files -n yum-tsflags
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/tsflags.conf
/usr/lib/yum-plugins/tsflags.*

%files -n yum-downloadonly
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/downloadonly.conf
/usr/lib/yum-plugins/downloadonly.*

%files -n yum-allowdowngrade
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/allowdowngrade.conf
/usr/lib/yum-plugins/allowdowngrade.*

%files -n yum-priorities
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/priorities.conf
/usr/lib/yum-plugins/priorities.*

%files -n yum-merge-conf
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/merge-conf.conf
/usr/lib/yum-plugins/merge-conf.*

%files -n yum-protect-packages
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/protect-packages.conf
/usr/lib/yum-plugins/protect-packages.*

%files -n yum-basearchonly
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/basearchonly.conf
/usr/lib/yum-plugins/basearchonly.*

%files -n yum-refresh-updatesd
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/refresh-updatesd.conf
/usr/lib/yum-plugins/refresh-updatesd.*

%files -n yum-upgrade-helper  
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/upgrade-helper.conf  
/usr/lib/yum-plugins/upgrade-helper.*  

%files -n yum-aliases   
%defattr(-, root, root)   
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/aliases.conf   
%config(noreplace) %{_sysconfdir}/yum/aliases.conf
/usr/lib/yum-plugins/aliases.*

%files -n yum-list-data
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/list-data.conf
/usr/lib/yum-plugins/list-data.*
%{_mandir}/man1/yum-list-data.1.*

%files -n yum-filter-data
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/filter-data.conf
/usr/lib/yum-plugins/filter-data.*
%{_mandir}/man1/yum-filter-data.1.*

%files -n yum-tmprepo
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/tmprepo.conf
/usr/lib/yum-plugins/tmprepo.*

%files -n yum-verify
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/verify.conf
/usr/lib/yum-plugins/verify.*
%{_mandir}/man1/yum-verify.1.*

%changelog
* Thu Apr 17 2008 cthiel@suse.de
- include default /etc/yum/pluginconf.d/versionlock.list (empty)
* Thu Apr 17 2008 cthiel@suse.de
- require python-dateutil in yum-changelog
* Tue Mar 25 2008 cthiel@suse.de
- update to version 1.1.13
  * various bug fixes
  * documentation improvements
- created more subpackages: yum-aliases, yum-filter-data, yum-list-data,
  yum-refresh-updatesd, yum-tmprepo, yum-upgrade-helper, yum-verify,
  yum-updateonboot
* Tue Feb 19 2008 cthiel@suse.de
- drop yum-skip-broken
* Thu Jan 31 2008 cthiel@suse.de
- update to version 1.1.11
  * plugins/tmprepo/tmprepo.conf, plugins/tmprepo/tmprepo.py, yum-utils.spec:
    Add --tmprepo as a plugin
  * plugins/aliases/aliases.py: New help info. for aliases
  * plugins/security/security.py: Add support for the new help
  * plugins/list-data/list-data.py: Add support for the new help
  * plugins/list-data/list-data.py: Fix bad import
  * plugins/priorities/priorities.py: Make yum-priorities not eat CPU just by
    installing it
  * plugins/list-data/list-data.py: Use .committer property in HEAD
  * debuginfo-install.py, repoclosure.py, repodiff.py, repomanage.py,
    repotrack.py, yum-complete-transaction.py: add better usage explanations
    to a lot of yum-utils. helps to give people an idea what the tool is
    used for.
  * plugins/list-data/list-data.conf, plugins/list-data/list-data.py,
    yum-utils.spec: List vendors, groups, packagers, buildhosts, licenses,
    arches, buildhosts, baseurls, package-sizes, archive-sizes,
    installed-sizes, committers
  * docs/package-cleanup.1: Reorder option docs to be sorted
  * docs/package-cleanup.1: Remove duplicate doc
  * repodiff.py: make sure this only operates on src rpms b/c otherwise bad
    things happen
  * repodiff.py: add -q, --new and --old options to repodiff. Correct some
    logic issues in the diffing, fix up the output to a pipe
  * yumdownloader.py: Remove hack for *-source repos.
  * yumdownloader.py:  Real fix for the __len__ problem. Don't disableRepo()
    and then enable it, this even do the disable last ... oops.
  * Makefile, repodiff.py, yum-utils.spec: add repodiff
  * plugins/aliases/aliases.py: Workaround for bad yum module users
  * plugins/security/security.py: Remove extra newlines, __str__ already
    leads with one
  * plugins/aliases/aliases: Remove empty lss alias and minor cleanup
* Tue Jan 22 2008 cthiel@suse.de
- fix yum.conf location to /etc/yum in various places (#350914)
* Mon Jan  7 2008 cthiel@suse.de
- update to version 1.1.10
  * plugins/aliases/aliases.py: Quick work around for yumex
  * debuginfo-install.py: make sure we're root to run debuginfo-install
    closes rh bug #426470
  * plugins/aliases/aliases, plugins/aliases/aliases.conf,
    plugins/aliases/aliases.py: Add aliases module
  * plugins/fastestmirror/fastestmirror.py: Strip any username:passwords
    from our mirrors hostname before we display it
  * plugins/fastestmirror/fastestmirror.py: Only display our mirrors if we
    have some
  * plugins/priorities/priorities.py: apply patch to fix rh bug: 421961 -
    make sure we're passing in opts before we get the value of the opts.
  * reposync.py: make sure that our repo url has a trailing /, otherwise
    urljoin does the wrong thing. We should probably append this higher up
    in the stack, too.  closes rh bug: 421801
  * plugins/basearchonly/basearchonly.py: Move conduit.getPackages until
    needed, as it takes significant time
  * yum-complete-transaction.py: make yum-complete-transaction backward
    compat to yum 3.2.7/3.2.8
  * docs/Makefile: add complete-transaction to doc makefile, too
  * yum-complete-transaction.py: implement yum-util to clean up
    unfinished/aborted transactions using transaction-done/transaction-all
    files.
  * repoclosure.py: Fix unreferenced variable in repoclosure.py
* Wed Dec 12 2007 cthiel@suse.de
- update to version 1.1.9
  * package-cleanup.py: get rid of the confirmation to clean up old
    dupes when there are no dupes to clean up. rh bug: 328711
  * plugins/fastestmirror/fastestmirror.py: Support multiple mirror excludes
    in fastestmirror
  * plugins/fastestmirror/fastestmirror.py: Add an 'exclude' configuration
    option to fastestmirror (Bug #407471)
  * plugins/fastestmirror/fastestmirror.py: Add a maxthreads configuration
    option to fastestmirror (Bug #227772)
  * plugins/fastestmirror/fastestmirror.py: Actually display the fastest
    mirrors
  * plugins/fastestmirror/fastestmirror.py: Remove unused PluginYumExit
    import
  * package-cleanup.py: Added patch by Ville Skytta to make 'package-cleanup
  - -leaves' catch *lib and *libs
  * yum-builddep.py: port yum-builddep to YumUtilBase format. Make it
    actually, work :) closes rh bug #381291
  * package-cleanup.py: clean up a deprecation
  * plugins/basearchonly/basearchonly.conf,
    plugins/basearchonly/basearchonly.py:
  - basearchobly patch by Adel Gadllah
  - Fix system-install-packages crash on F8
  - Add wildcard support to whitelist
  - Add all wine packages to the default
  - whitelist on x86 (wine*)
  * Makefile, plugins/priorities/ChangeLog,
    plugins/priorities/priorities.py: Added optparser check in
    priorities plugin (bz #847)
  * plugins/priorities/ChangeLog, plugins/priorities/README,
    plugins/priorities/priorities.py: Make the name.arch checking optional
    in the priorities plugin. This adds the 'only_samearch' plugin option
    and the '--samearch-priorities'
  * plugins/basearchonly/basearchonly.conf: apply patch from Adel Gadllah to
    add libflashsupport to basearchonly-plugin whitelist
  * repoquery.py: apply patch from Bill Nottingham to make repoquery more
    silent when --quiet is specified.
  * plugins/upgrade-helper/cleanup.xml,
    plugins/upgrade-helper/remove-stuff.xml: rename remove-stuff.xml to
    cleanup.xml
  * plugins/upgrade-helper/upgrade-helper.py: make it work with more recent
    matchPackageNames
  * yum-utils.spec: left out upgrade-helper from the list of plugins
  * plugins/upgrade-helper/remove-stuff.xml,
    plugins/upgrade-helper/upgrade-helper.conf,
    plugins/upgrade-helper/upgrade-helper.py, yum-utils.spec: add
    upgrade-helper - this _should_ work - but I'll be testing it some more
    before tagging
  * yumdownloader.py: catch error on download if destdir is not writable.
    closed rh bug 352911
* Thu Oct 18 2007 cthiel@suse.de
- update to version 1.1.8
  * reposync.py: add option to enable plugins for reposync
  * repoquery.py: add --plugins support to repoquery, too
  * package-cleanup.py: Added patch to make package-cleanup return exit code
  * Fixed yumdownloader --url output to show the right url (rhbz #301981)
  * various other fixes
* Fri Oct  5 2007 cthiel@suse.de
- New basearchonly plugin
- New --repofrompath=repotag,<path/URL> option to specify local repos to
  repoquery
- Lot of bug fixes (Check ChangeLog for details)
* Thu Sep 13 2007 cthiel@suse.de
- added yum-utils-1.1.6-changelog.patch to fix a TypeError (#307208)
* Wed Aug 29 2007 cthiel@suse.de
- package yum plugins:
  * yum-merge-conf
  * yum-versionlock
  * yum-allowdowngrade
  * yum-priorities
  * yum-fastestmirror
  * yum-tsflags
  * yum-protect-packages
  * yum-downloadonly
  * yum-protectbase
  * yum-changelog
  * yum-skip-broken
* Tue Aug  7 2007 cthiel@suse.de
- update to version 1.1.6
  * Added protect-packages plugin
  * Lot of bug fixes
* Mon May 21 2007 cthiel@suse.de
- update to version 1.1.4
  * plugins/security/security.py: Added patch by James Antill: It seems that
    on RHEL5 there are update metadata entries with references == None (in
    my FC6 testing they were always == []).  This gives a traceback with the
    current code.
  * yumdownloader.py: removed crap from comment
  * yumdownloader.py: make the '--source' work and make it a little smarter
    so the 'reponame-source' are enabled automaticly for all enabled repos,
    when '--source' is used.  (rhbz #239528)
  * plugins/security/security.py: Added patch to security plugin by Luke
    Macken
* Thu May  3 2007 cthiel@suse.de
- update to version 1.1.3
  * New yum-security plugin by James Antill.
  * New debuginfo-install util to install debuginfo packages
* Wed Feb 21 2007 cthiel@suse.de
- actually upgrade to version 1.1.1
  * fixed UnicodeEncodeError: 'ascii' codec can't encode character errors in
    repo-rss
* Mon Feb 19 2007 cthiel@suse.de
- update to version 1.1.1
  * repo-rss.py, repoclosure.py, repoquery.py,
    plugins/changelog/changelog.py: changed 'with=' to 'mdtype=' in
    repos.populateSack calls, because of changes in the yum API in
    YumPackageSack.populate method to avoid warnings about 'with' is a
    reserved word in Python 2.6.
  * yumdownloader.py: redesigned yumdownloader to use the new yum-utils base
    class introduced in yum-3.1.1.  This version inherit all command line
    options from the yum-cli and also command line option added by yum
    plugins.
* Mon Feb 19 2007 cthiel@suse.de
- update to version 1.1.0 (requires yum >= 3.1.0)
  * repo-rss.py: Add a better formating for description, get rid of the body
    tag for the xml generated by repo-rss.
  * plugins/priorities/priorities.py: Make priorities plugin work with
    multiarch repositories with different repositories.  (foo.i386 <>
    foo.x86_64)
  * repo-rss.py: Added patch to make repo-rss create one feed per group
    found in comps.xml.
  * plugins/downloadonly/downloadonly.py: Added '--downloaddir' option to
    downloadonly plugin. the option make it posible to change the directory
    where packages are downloaded.
  * repoclosure.py: Added patch to sort repoclosure output
  * yumdownloader.py: Fix traceback in yumdownloader using --resolve because
    rpmdb was not initialized.
  * yum-builddep.py:
    o resurrect builddep by package name
    o enable core type plugins (eg to allow for fastestmirror)
  * repoquery.py: - fix a stupid typo breaking prco operations
* Mon Jan  8 2007 cthiel@suse.de
- update to version 1.0.2
  * plugins/skip-broken/skip-broken.py: Changed the CLI option to active the
    skip-broken from '--ignore-broken' to '--skip-broken', because it make
    more sense.
  * repoquery.py: - fix deprecation warning
  * docs/yumdownloader.1: close rh bug # 218100 - typo in yumdownloader man
    page.
  * plugins/versionlock/versionlock.py: fixed AttributeError:
    YumAvailablePackageSqlite instance has no attribute 'returnNevra in
    versionlock plugin yum bugzilla #667
  * repoquery.py: - fix --cache and --show-dupes options
  * package-cleanup.py: add in a 'clean old dupes' option to get rid of
    version-wise-older dupes in the rpmdb
  * yumdownloader.py: Fix problem with yumdownloader prints everything twice
    because doConfigSetup was called twice.
- removed old patch
* Sat Nov  4 2006 cthiel@suse.de
- import patch from uptream to fix problem with yumdownloader prints
  everything twice because doConfigSetup was called twice (#218088)
* Tue Oct 31 2006 cthiel@suse.de
- update to version 1.0.1
  * priorities plugin added.
  * added a -c option to yumdownloader
  * fix for handling of local repos in reposync, repotrack and yumdownloader
* Thu Oct  5 2006 cthiel@suse.de
- update to version 1.0
  * no changes to latests cvs HEAD
* Sun Oct  1 2006 cthiel@suse.de
- updated yum-utils-HEAD.patch
* Tue Sep 26 2006 cthiel@suse.de
- updated yum-utils-HEAD.patch to latests cvs HEAD
- removed versioned requires to python
* Mon Sep 25 2006 cthiel@suse.de
- consolidated yum-utils-*.patch into yum-utils-HEAD.patch and upgraded to
  cvs HEAD again, to make yum-utils work with the latests yum API
* Sun Sep 17 2006 cthiel@suse.de
- added patches by Tim Lauridsen <tim@rasmil.dk> to make yum-utils work with
  the latests yum API
  * yum-utils-packagecleanup.patch
  * yum-utils-repoquery.patch
  * yum-utils-repotrack.patch
  * yum-utils-yumdownloader.patch (fixes #200511)
* Sat Aug  5 2006 cthiel@suse.de
- added patches from Fedora to make yum-utils work with new yum api
  * yum-utils-0.6-fastestmirror-newapi.patch
  * yum-utils-0.6-repoquery-newapi.patch
* Thu May 25 2006 cthiel@suse.de
- update to version 0.6
  * yum 2.6.x-compatible release
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 dmueller@suse.de
- add norootforbuild
* Sat Sep 17 2005 cthiel@suse.de
- update to version 0.3.1
* Wed Sep 14 2005 cthiel@suse.de
- specfile cleanup
* Fri Aug 26 2005 cthiel@suse.de
- update to version 0.3 (requires yum 2.4.0)
* Sun Aug 14 2005 cthiel@suse.de
- initial package (version 0.2)
